<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    :footer="null"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <bus-market-member-form @saveOk="onSaveOk" ref="detailForm" @ok="submitCallback" :disabled="disableSubmit"></bus-market-member-form>
  </j-modal>
</template>

<script>

  import BusMarketMemberForm from './roomLayoutDetailForm'
  export default {
    name: 'BusMarketMemberDetailModal',
    components: {
      BusMarketMemberForm
    },
    data () {
      return {
        title:'详细设置',
        raw: null,
        width:800,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      setRaw(item) {
        this.$nextTick(()=>{
          setTimeout(()=>{
            this.$refs.detailForm.setRaw(item)
          },500)
          
        });
        },
        handleOk() {

        },
        handleCancel() {
          this.visible = false

        },
        submitCallback() {
          
        },
        onSaveOk() {
          this.$emit("saveOk")
          this.visible = false
        }
    }
  }
</script>